﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using YFServiceClient.YFSvcReference;

namespace YFServiceClient
{
    class Program
    {
        static void Main(string[] args)
        {
            administrationServiceRequest rsr = new administrationServiceRequest();
            administrationServiceResponse rs = null;

            //administrationPerson person = new administrationPerson();

            //person.userId = "admin@yellowfin.com.au";

            rsr.loginId = "admin@yellowfin.com.au"; //Administrator role
            rsr.password = "xxxx";
            rsr.orgId = 1;
            rsr.function = "LISTCLIENTS";//"GETUSERSFROMSEARCH"
            

            //var serxml = new System.Xml.Serialization.XmlSerializer(rsr.GetType());
            //var ms = new MemoryStream();
            //serxml.Serialize(ms, rsr);
            //string xml = Encoding.UTF8.GetString(ms.ToArray());


            LegacyAdministrationServiceClient client = new LegacyAdministrationServiceClient();
            rs = client.remoteAdministrationCall(rsr);

            //currently getting error code: 25 => "COULD_NOT_AUTHENTICATE_USER" => "Error code indicating the specified user could not be authenticated."
            // Web services is already enabled for the user and able to login with the same loginid/password

            if (rs.statusCode == "FAILURE")
            {
                Console.WriteLine($"{rs.statusCode}:{rs.errorCode}");
            }
            else
                Console.WriteLine($"{rs.statusCode}");


            Console.ReadLine();
        }
    }
}
